Update tag
curl --request PATCH \
--url https://inboxapp.com/api/v2/tags/{tagRef} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "blue"
}
'import requests
url = "https://inboxapp.com/api/v2/tags/{tagRef}"
payload = {
"name": "<string>",
"color": "blue"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: 'blue'})
};
fetch('https://inboxapp.com/api/v2/tags/{tagRef}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"color": "#3b82f6"
}{
"code": "invalidRequest",
"message": "<string>",
"details": {
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
},
"requestId": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "workspaceLocked",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "tagNotFound",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "nameTaken",
"message": "<string>",
"details": {
"name": "<string>"
},
"requestId": "<string>"
}{
"code": "rateLimited",
"message": "<string>",
"details": {
"window": "minute",
"limit": 123,
"resetAt": "2026-09-14T10:32:00.000Z"
},
"requestId": "<string>"
}{
"code": "internal",
"message": "<string>",
"details": null,
"requestId": "<string>"
}Tags
Update tag
PATCH
/
tags
/
{tagRef}
Update tag
Path Parameters
A tag, by ID or by name. Names match ignoring case and accents. When a value is one tag's ID and another's name, the ID wins.
Body
application/json
Was this page helpful?